- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete#body.aspect)

Delete a job.

### HTTP request

`DELETE https://run.googleapis.com/apis/run.googleapis.com/v1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the job to delete. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID It takes the form `namespaces/{namespace}/jobs/{job}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `run.jobs.delete` |

### Query parameters

| Parameters ||
|---|---|
| `propagationPolicy` | `string` Optional. Specifies the propagation policy of delete. Cloud Run currently ignores this setting, and deletes in the background. Please see kubernetes.io/docs/concepts/workloads/controllers/garbage-collection/ for more information. |
| `kind` | `string` Optional. Cloud Run currently ignores this parameter. |
| `apiVersion` | `string` Optional. Cloud Run currently ignores this parameter. |
| `dryRun` | `string` Optional. Indicates that the server should validate the request and populate default values without persisting the request. Supported values: `all` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v1/Status`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).